WayloAIWaylo Docs
APIReferenceTools

Discover a saved MCP tool

POST
/tools/{id}/discover

Re-discover a saved MCP tool with its stored URL and credential. 503 if the server is unreachable.

Access: workspace_admin · API key tools:write

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Path Parameters

id*string

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X POST 'https://api.poc.app.waylovoice.ai/tools/string/discover' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
[  {    "name": "string",    "description": "string",    "inputSchema": {},    "selectable": true,    "reason": "string",    "note": "string"  }]